package com.bonus.utils;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;

public class LeRequest<T> {
   @ApiModelProperty("版本控制")
   private String version;
   @ApiModelProperty("随机字符串")
   private String nonceStr;
   @ApiModelProperty("时间戳")
   private String timestamp;
   @ApiModelProperty("签名类型")
   private String signType;
   @ApiModelProperty("业务参数")
   private @Valid T content;
   @ApiModelProperty("签名")
   private String sign;

   public String getVersion() {
      return this.version;
   }

   public String getNonceStr() {
      return this.nonceStr;
   }

   public String getTimestamp() {
      return this.timestamp;
   }

   public String getSignType() {
      return this.signType;
   }

   public T getContent() {
      return this.content;
   }

   public String getSign() {
      return this.sign;
   }

   public void setVersion(final String version) {
      this.version = version;
   }

   public void setNonceStr(final String nonceStr) {
      this.nonceStr = nonceStr;
   }

   public void setTimestamp(final String timestamp) {
      this.timestamp = timestamp;
   }

   public void setSignType(final String signType) {
      this.signType = signType;
   }

   public void setContent(final T content) {
      this.content = content;
   }

   public void setSign(final String sign) {
      this.sign = sign;
   }







}
